summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorTupone Alfredo <tupone@gentoo.org>2018-07-08 11:04:53 +0200
committerTupone Alfredo <tupone@gentoo.org>2018-07-08 11:05:20 +0200
commit3481a6ccc198ea065da78e4c7f62893131b7d4b3 (patch)
treec224edb74b8ef3345fb32915aa27981b35ef8f1a
parentmedia-sound/mumble: Added rnnoise git submodule. (diff)
downloadgentoo-3481a6ccc198ea065da78e4c7f62893131b7d4b3.tar.gz
gentoo-3481a6ccc198ea065da78e4c7f62893131b7d4b3.tar.bz2
gentoo-3481a6ccc198ea065da78e4c7f62893131b7d4b3.zip
dev-ada/libadalang: Build shared/static library
Package-Manager: Portage-2.3.40, Repoman-2.3.9
-rw-r--r--dev-ada/libadalang/libadalang-2018.ebuild20
-rw-r--r--dev-ada/libadalang/metadata.xml1
2 files changed, 16 insertions, 5 deletions
diff --git a/dev-ada/libadalang/libadalang-2018.ebuild b/dev-ada/libadalang/libadalang-2018.ebuild
index 14689aeaafd..7a0db217783 100644
--- a/dev-ada/libadalang/libadalang-2018.ebuild
+++ b/dev-ada/libadalang/libadalang-2018.ebuild
@@ -16,12 +16,15 @@ SRC_URI="http://mirrors.cdn.adacore.com/art/5b0cf9adc7a4475263382c18
LICENSE="GPL-3 gcc-runtime-library-exception-3.1"
SLOT="0"
KEYWORDS="~amd64 ~x86"
-IUSE="gnat_2016 gnat_2017 +gnat_2018"
+IUSE="gnat_2016 gnat_2017 +gnat_2018 +shared static-libs"
RDEPEND="dev-python/pyyaml
|| (
dev-ada/gnatcoll[projects,shared,gnat_2016=,gnat_2017=]
- dev-ada/gnatcoll-bindings[iconv,shared,gnat_2016=,gnat_2017=,gnat_2018]
+ (
+ dev-ada/gnatcoll-bindings[gnat_2016=,gnat_2017=,gnat_2018=]
+ dev-ada/gnatcoll-bindings[iconv,shared=,static-libs=]
+ )
)
${PYTHON_DEPS}"
DEPEND="${RDEPEND}
@@ -33,11 +36,15 @@ S="${WORKDIR}"/${MYP}
PATCHES=( "${FILESDIR}"/${P}-gentoo.patch )
src_configure() {
- ada/manage.py generate || die
+ ada/manage.py -v debug generate || die
}
src_compile() {
- ada/manage.py build || die
+ ada/manage.py \
+ -v \
+ $(use_enable shared) \
+ $(use_enable static-libs static) \
+ build || die
}
src_test () {
@@ -45,6 +52,9 @@ src_test () {
}
src_install () {
- ada/manage.py install "${D}"usr
+ ada/manage.py \
+ $(use_enable shared) \
+ $(use_enable static-libs static) \
+ install "${D}"usr || die
python_domodule build/python/libadalang.py
}
diff --git a/dev-ada/libadalang/metadata.xml b/dev-ada/libadalang/metadata.xml
index 7af42063559..a2f3f091000 100644
--- a/dev-ada/libadalang/metadata.xml
+++ b/dev-ada/libadalang/metadata.xml
@@ -9,6 +9,7 @@
<flag name="gnat_2016">Compile with dev-lang/gnat-gpl-2016</flag>
<flag name="gnat_2017">Compile with dev-lang/gnat-gpl-2017</flag>
<flag name="gnat_2018">Compile with dev-lang/gnat-gpl-2018</flag>
+ <flag name="shared">Build shared library</flag>
</use>
<longdescription lang="en">
Libadalang is a project to build a high performance semantic engine for